Get All Traded orders

Retrieve all traded orders

📘

Note

Frequency Limit Type: WEIGHT: 5

In regards to master API key. The request parameters of "side" and "accountId". If "accountId" is passed, it will only query the orders under the current account. If not passed, it will first query the main account, and if the results are less than 500, it will then query the sub-accounts.

Request Parameters

PARAMETERTYPEReq 'dDESCRIPTION
accountIdSTRINGAccount ID
orderIdLONGFrom Order Id, which is used to return orders whose orders' id are smaller than this orderId
symbolSTRINGCurrency pair
startTimeLONGStart Timestamp
endTimeLONGEnd Timestamp. Only supports the last 90 days timeframe
sideSTRINGSide
limitINTEGERDefault 500, max 1000
timestampLONGYTimestamp

Response Content

PARAMETERTYPEExample valuesDESCRIPTION
NoObject ArrayQuery result array
  • accountId
LONG1464567707961719552Account ID
  • exchangeId
LONG301Account number
  • symbol
STRINGETHUSDTrading pair
  • symbolName
STRINGETHUSDTrading pair name
  • clientOrderId
STRING9999999998000An ID defined by the client for the order, it will be automatically generated if it is not sent in the request
  • orderId
LONG1484664263574306816System generated order ID
  • price
STRING(value)1860Price
  • origQty
STRING(value)10Quantity
  • executedQty
STRING(value)10Traded volume
  • cumulativeQuoteQty
STRING(value)18600Cumulative volume
  • avgPrice
STRING(value)1860Average traded price
  • status
ENUMFILLEDOrder status
  • timeInForce
ENUMGTCDuration of the order before expiring
  • type
ENUMLIMITOrder Type
  • side
ENUMSELLBUY or SELL
  • stopPrice
STRING(value)0.0Not used
  • icebergQty
STRING(value)0.0Not used
  • time
STRING(value)1691721772082Current Timestamp
  • updateTime
STRING(value)1691721796685Update Timestamp
  • isWorking
BOOLEANtrueNot used
  • reqAmount
STRING0Requested cash amount
  • stpMode
ENUMEXPIRE_MAKERSelf Trade Prevention Mode.

Enum: EXPIRE_TAKER, EXPIRE_MAKER

Default EXPIRE_TAKER if not specified.
Query Params
int64

System order Id

string

Instrument ID

int64

Start timestamp

int64

End timestamp

string

Side

int32

Default 500; Max 1000.

int64

recv Window

int64
required
Defaults to 1707494009813

Millisecond timestamp

string
required
Defaults to 2a5442585fd7c38d60e47c44129f68295f28e528eb2e486d7bb5373588ca3ede

Signature

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json